---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libresumethrd001.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x14E0, symBinAddr: 0x3570, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x4F8C0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x4590, symSize: 0x270 }
  - { offsetInCU: 0xB10, offset: 0xB10, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4FC30, symBinAddr: 0xC300, symSize: 0x0 }
  - { offsetInCU: 0xB37, offset: 0xB37, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51B70, symBinAddr: 0xE240, symSize: 0x0 }
  - { offsetInCU: 0xB59, offset: 0xB59, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51F60, symBinAddr: 0xE630, symSize: 0x0 }
  - { offsetInCU: 0xB7B, offset: 0xB7B, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52F00, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0xB90, offset: 0xB90, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52F10, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0xC0B, offset: 0xC0B, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F8B0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC16, offset: 0xC16, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F8B4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xC21, offset: 0xC21, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F8B8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC66, offset: 0xC66, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FA10, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FAC8, symBinAddr: 0xC298, symSize: 0x0 }
  - { offsetInCU: 0xCFD, offset: 0xCFD, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FACC, symBinAddr: 0xC29C, symSize: 0x0 }
  - { offsetInCU: 0xD16, offset: 0xD16, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FAD0, symBinAddr: 0xC2A0, symSize: 0x0 }
  - { offsetInCU: 0xD2F, offset: 0xD2F, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FAD4, symBinAddr: 0xC2A4, symSize: 0x0 }
  - { offsetInCU: 0xD48, offset: 0xD48, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FAD8, symBinAddr: 0xC2A8, symSize: 0x0 }
  - { offsetInCU: 0x9337, offset: 0x9337, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FAE0, symBinAddr: 0xC2B0, symSize: 0x0 }
  - { offsetInCU: 0x93C0, offset: 0x93C0, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FAF0, symBinAddr: 0xC2C0, symSize: 0x0 }
  - { offsetInCU: 0x93D9, offset: 0x93D9, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FAF8, symBinAddr: 0xC2C8, symSize: 0x0 }
  - { offsetInCU: 0x93F2, offset: 0x93F2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4FB00, symBinAddr: 0xC2D0, symSize: 0x0 }
  - { offsetInCU: 0x940B, offset: 0x940B, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4FB08, symBinAddr: 0xC2D8, symSize: 0x0 }
  - { offsetInCU: 0x9424, offset: 0x9424, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4FB10, symBinAddr: 0xC2E0, symSize: 0x0 }
  - { offsetInCU: 0x943E, offset: 0x943E, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4FB18, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x9524, offset: 0x9524, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4FB60, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x9576, offset: 0x9576, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2F10, symSize: 0x80 }
  - { offsetInCU: 0x960B, offset: 0x960B, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2E60, symSize: 0xB0 }
  - { offsetInCU: 0x9666, offset: 0x9666, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2D60, symSize: 0x100 }
  - { offsetInCU: 0x98F9, offset: 0x98F9, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2F90, symSize: 0xC0 }
  - { offsetInCU: 0x994B, offset: 0x994B, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x3050, symSize: 0x220 }
  - { offsetInCU: 0x9B30, offset: 0x9B30, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3270, symSize: 0xA0 }
  - { offsetInCU: 0x9BE3, offset: 0x9BE3, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3310, symSize: 0x110 }
  - { offsetInCU: 0x9CD9, offset: 0x9CD9, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3420, symSize: 0x150 }
  - { offsetInCU: 0x9E36, offset: 0x9E36, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3890, symSize: 0x30 }
  - { offsetInCU: 0x9F63, offset: 0x9F63, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x38C0, symSize: 0x150 }
  - { offsetInCU: 0xA15B, offset: 0xA15B, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3A10, symSize: 0x160 }
  - { offsetInCU: 0xA41B, offset: 0xA41B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3B70, symSize: 0x4A0 }
  - { offsetInCU: 0xA68E, offset: 0xA68E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4010, symSize: 0x1B0 }
  - { offsetInCU: 0xA8A9, offset: 0xA8A9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x41C0, symSize: 0xA0 }
  - { offsetInCU: 0xA978, offset: 0xA978, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4260, symSize: 0x20 }
  - { offsetInCU: 0xA9AF, offset: 0xA9AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x4280, symSize: 0x20 }
  - { offsetInCU: 0xA9E6, offset: 0xA9E6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x42A0, symSize: 0x20 }
  - { offsetInCU: 0xAB95, offset: 0xAB95, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x42C0, symSize: 0x1A0 }
  - { offsetInCU: 0xAEB1, offset: 0xAEB1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4460, symSize: 0x130 }
  - { offsetInCU: 0xB061, offset: 0xB061, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4800, symSize: 0x1B0 }
  - { offsetInCU: 0xB350, offset: 0xB350, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x49B0, symSize: 0x80 }
  - { offsetInCU: 0xB419, offset: 0xB419, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4A30, symSize: 0x6A0 }
  - { offsetInCU: 0xBFAE, offset: 0xBFAE, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA1D0, symBinAddr: 0x60B0, symSize: 0xB0 }
  - { offsetInCU: 0xC025, offset: 0xC025, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x50D0, symSize: 0x70 }
  - { offsetInCU: 0xC0C1, offset: 0xC0C1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_threadByName, symObjAddr: 0x48F0, symBinAddr: 0x5140, symSize: 0x320 }
  - { offsetInCU: 0xC494, offset: 0xC494, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5460, symSize: 0xA0 }
  - { offsetInCU: 0xC573, offset: 0xC573, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5500, symSize: 0x40 }
  - { offsetInCU: 0xC669, offset: 0xC669, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5540, symSize: 0x2B0 }
  - { offsetInCU: 0xCA0F, offset: 0xCA0F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x57F0, symSize: 0xC0 }
  - { offsetInCU: 0xCB55, offset: 0xCB55, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x58B0, symSize: 0x10 }
  - { offsetInCU: 0xCC17, offset: 0xCC17, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x58C0, symSize: 0x220 }
  - { offsetInCU: 0xCF14, offset: 0xCF14, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5AE0, symSize: 0x10 }
  - { offsetInCU: 0xCF71, offset: 0xCF71, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5AF0, symSize: 0x1E0 }
  - { offsetInCU: 0xD1D2, offset: 0xD1D2, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9DF0, symBinAddr: 0x5CD0, symSize: 0x10 }
  - { offsetInCU: 0xD230, offset: 0xD230, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E00, symBinAddr: 0x5CE0, symSize: 0x3D0 }
  - { offsetInCU: 0xD73F, offset: 0xD73F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA280, symBinAddr: 0x6160, symSize: 0x36A }
...
